using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MothGlass
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();

      // If DWM is not enabled then get out
      if (!this.IsGlassEnabled())
      {
        return;
      }

      // Set the Margins to their default values
      VistaApi.Margins marg;
      marg.Top = panel1.Height; // extend from the top
      marg.Left = 0;  // not used in this sample but could be
      marg.Right = 0; // not used in this sample but could be
      marg.Bottom = 0;// not used in this sample but could be

      // call the function that extends the sides, 
      // passing a reference to our inset Margins
      VistaApi.DwmExtendFrameIntoClientArea(this.Handle, ref marg);      
    }

    private bool IsGlassEnabled()
    {
      if (Environment.OSVersion.Version.Major < 6)
      {
        MessageBox.Show(
          "How about trying this on Vista?");
        return false;
      }

      //Check if DWM is enabled
      bool isGlassSupported = false;
      VistaApi.DwmIsCompositionEnabled(ref isGlassSupported);
      return isGlassSupported;
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      Color c = Color.FromArgb(255, 221, 220, 220);
      this.TransparencyKey = c;
      panel1.BackColor = c;
    }
  }
}